Page MenuHomePhabricator

Record monotonic time of survey impression
Closed, ResolvedPublic

Description

Currently the QuickSurveyInitiation table records the survey impression. By virtue of the event capsule, we know what time this happened, but only to the second.

With minimal effort, it should be possible to record a precise monotonic time, such as performance.now(), to get an idea of how long it took for the survey to appear.

In the context of the performance survey, this will allow us to see if there is a correlation between negative responses to "did this page load fast enough?" and how long it took for users to see the survey (either because they had to scroll to it, or because it took a while to load). Which would allow us to prove indirectly whether or not the survey's late appearance influences responses to it.

Event Timeline

Gilles created this task.Jun 8 2018, 7:54 PM
Gilles triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2018, 7:54 PM

Change 439304 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/QuickSurveys@master] Record performance.now on survey impressions

https://gerrit.wikimedia.org/r/439304

Gilles moved this task from Inbox to Doing on the Performance-Team board.Jun 11 2018, 7:57 PM

Change 439304 merged by jenkins-bot:
[mediawiki/extensions/QuickSurveys@master] Record performance.now on survey impressions

https://gerrit.wikimedia.org/r/439304

Krinkle added a subscriber: Krinkle.

@Gilles Does that patch resolve this task, or is there more?

I also need to write the part that will collect it and send it via EventLogging

Nevermind, that's already the case for this one. Just let me check that the data is correctly recorded.

I don't see the new EventLogging table yet, I presume this hasn't hit the wikis where the survey is running yet.

Indeed, with this week's deployment freeze those wikis are still on wmf.8

Vvjjkkii renamed this task from Record monotonic time of survey impression to cdbaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Gilles as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot assigned this task to Gilles.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from cdbaaaaaaa to Record monotonic time of survey impression.
CommunityTechBot added subscribers: gerritbot, Aklapper.
Gilles closed this task as Resolved.Sep 3 2018, 12:09 PM

The data is making it to EventLogging as expected and I'm seeing large values as I thought was possible when the survey is initially rendered below the fold. This will be a great signal to eliminate filter out that case or factor it into the machine learning.